<template lang="pug">
q-header
	q-toolbar.q-px-md
		q-btn(flat @click="toggleMainNavigation" dense icon="menu").lt-md.q-mr-md
		q-toolbar-title.q-pl-none {{ title }}
		transition(name="slide" mode="out-in")
			q-btn(v-if="showSidebar" flat @click="togglePageNavigation" dense icon="menu_open").xs
</template>

<script lang="ts" setup>
	import { defineProps, defineEmits, computed } from 'vue'
	import { hasSidebar } from '@/plugins/utils/index'
	import { useRoute } from 'vue-router'
	const props = defineProps({
		mainNavigationHandler: Boolean,
		pageNavigationHandler: Boolean,
	})
	const emit = defineEmits(['update:mainNavigationHandler', 'update:pageNavigationHandler'])
	const toggleMainNavigation = () => {
		emit('update:mainNavigationHandler', !props.mainNavigationHandler)
	}
	const togglePageNavigation = () => {
		emit('update:pageNavigationHandler', !props.pageNavigationHandler)
	}
	const route = useRoute()
	const showSidebar = computed(hasSidebar)
	const title = computed(() => route.meta.title || 'MADfood')
</script>

<style lang="scss" scoped>
	.q-header {
		color: $dark;
		background: rgba($main-background, 0.5);
		backdrop-filter: blur(5px);
	}
</style>
